Skip to main content
POST
/
v1
/
admin
/
relationships
/
custom-fields
Create custom field definition
curl --request POST \
  --url https://{operatorDomain}/v1/admin/relationships/custom-fields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "cfld_01h...",
  "key": "<string>",
  "label": "<string>",
  "dataType": "text"
}
'
{
  "id": "cfld_01h...",
  "key": "<string>",
  "label": "<string>",
  "dataType": "text"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
id
string
Example:

"cfld_01h..."

key
string
label
string
dataType
string
Example:

"text"

Response

201 - application/json

Created definition

id
string
Example:

"cfld_01h..."

key
string
label
string
dataType
string
Example:

"text"